# Uses of Class
org.apache.avro.idl.IdlFile

## Uses of IdlFile in org.apache.avro.idl

Methods in org.apache.avro.idl that return IdlFile
Modifier and Type
Method
Description
`IdlFile`
IdlReader.`parse(InputStream stream)`
Parse an IDL file from a stream.
`IdlFile`
IdlReader.`parse(URI directory, CharSequence source)`
Parse an IDL file from a string, using the given directory for imports.
`IdlFile`
IdlReader.`parse(Path location)`